Bug 134096 - ext2online fails to grow ext3 filesystem
Summary: ext2online fails to grow ext3 filesystem
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Stephen Tweedie
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-29 16:28 UTC by Al Tobey
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 13:18:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Al Tobey 2004-09-29 16:28:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
I had a couple Redhat guys at Linuxworld assure me that RHEL4 would
support growing ext3 filesystems online ;)

If I execute something like:
lvextend -L +16M /dev/vgroot/lv_tmp
ext2online /dev/vgroot/lv_tmp

I get:
ext2online v1.1.18 - 2001/03/18 for EXT2FS 0.5b
ext2online: ext2_ioctl: Inappropriate ioctl for device

ext2online: unable to resize /dev/mapper/vgroot-lv_tmp

The man page for ext2online says CONFIG_EXT2_RESIZE needs to be
enabled in the kernel configuration.   It does not show up in
/boot/config-2.6.8-1.528.2.10.


Version-Release number of selected component (if applicable):
e2fsprogs-1.35-9.5 / kernel-2.6.8-1.528.2.10

How reproducible:
Always

Steps to Reproduce:
lvextend -L +16M /dev/vgroot/lv_tmp
ext2online /dev/vgroot/lv_tmp

Actual Results:  ext2online v1.1.18 - 2001/03/18 for EXT2FS 0.5b
ext2online: ext2_ioctl: Inappropriate ioctl for device

ext2online: unable to resize /dev/mapper/vgroot-lv_tmp


Expected Results:  Filesystem should be 16MB larger.

Additional info:

Comment 1 Stephen Tweedie 2004-10-04 13:18:06 UTC
The kernel portion of online resize did not make it into B1, as we
found a problem with the patch just before freeze.  It should be
enabled in current rawhide kernels, though, and is planned to be fully
supported in RHEL4.


Note You need to log in before you can comment on or make changes to this bug.